/* ========================================= */
/*   Javadoc style sheet for applications    */
/*    by CRI - Universite de La Rochelle     */
/* ========================================= */

/* Page background color */
body {
  background-color: #FFFFFF;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 9pt;
  color: #000000;
}

tr, font, blockquote, td {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 9pt;
  color: #000000;
}

th {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 9pt;
  color: #000000;
  font-weight: bold;
}

h1 {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 16pt;
  color: #000000;
}

h2 {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 14pt;
  color: #000000;
  text-decoration: none;
  margin-left=0;
}

h3 {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 9pt;
  color: #000000;
  text-decoration: none;
  margin-left=0;
}

h4 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9pt;
	color: #000000;
	text-decoration: underline;
	margin-left: 0;
	font-weight: normal;
}

big {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12pt;
  color: #000000;
  font-weight: bold;
}

strong {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 9pt;
  color: #000000;
  text-decoration: none;
  margin-left=0;
}

pre {
	//font-family: Courier New, Courier, monospace;
	font-size: 9pt;
	color: #000000;
	margin: 0px 0px 0px 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 0px;
}

code, tt {
	//font-family: Courier New, Courier, monospace;
	font-size: 9pt;
}

hr {
  height: 1px;
  color: #52430b;
  background-color: #52430b;
  border: none;
}

/* Table colors */
.TableHeadingColor, .TableSubHeadingColor {
  background: #f0ca35;
}
.TableRowColor {
  background: #f5eed4; /* #f5ecc9;  */
}

/* Navigation bar fonts and colors */
.NavBarCell1    { background-color: #e6b800;}
.NavBarCell1Rev { background-color: #f5d96b;  border: 1px dotted #806326; }
.NavBarFont1    { font-family: Verdana, Arial, Helvetica, sans-serif; color: #000000;}
.NavBarFont1Rev { font-family: Verdana, Arial, Helvetica, sans-serif; color: #000000;}
.NavBarCell2    { font-family: Verdana, Arial, Helvetica, sans-serif; background-color: #f5e7b3;}
.NavBarCell3    { font-family: Verdana, Arial, Helvetica, sans-serif; background-color: #f5e7b3;}

/* Font used in left-hand frame lists */
.FrameTitleFont   {
	font-size: normal;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

.FrameHeadingFont {
  font-size: 9pt;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-weight: bold;
}

.FrameItemFont {
  font-size: 9pt;
  font-family: Verdana, Arial, Helvetica, sans-serif;
}

/* Link colors styling */
A[href]:hover {
  color: #C4001A;
  text-decoration: underline;
}
A[href] {
  color: #084E97;
  text-decoration: none;
}

/* Persnlalized elements */
.FrameCRIHeadingFont {
  font-size: 9pt;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: bold;
}

.FrameCRIBottomFont {
  font-size: 8pt;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: normal;
}

/* The style of examples */
.example {
  background: #F8f8f8;
  border-style: dashed;
  border-width: 1px;
  border-color: #CCCCCC;
  font-family: "Courrier New", Courrier, monospace;
}

/* commentaires java */
.comment {
	color: #008080;
}

/* commentaires javadoc java */
.commentJavaDoc {
	color: #000080;
}

/* mot reserves java */
.javaKeyword {
	color: #C71585;
	font-weight: bold;
}

/* String java */
.javaString {
	color: #0000FF;
}

/* variable de classe java */
.javaVariable {
	color: #0000CC;
}

/* variable statique java */
.javaStatic {
	color: #0000CC;
	font-style: italic;
}

.importantNote {
	font-weight: bold;
	color: #2F2F2F;
}

.paramBoxBorder {
	background-color: #BBBBBB;
	background: #BBBBBB;
	border: #BBBBBB;
}

.paramBoxHeader {
	background-color: #DDDDDD;
	background: #DDDDDD;
	border: #DDDDDD;
	font-weight: bold;
}

.paramBoxContents {
	background-color: #EEEEEE;
	background: #EEEEEE;
}
